Bug 834817 - [abrt] ardour-2.8.12-4.fc17: connected: Process /usr/lib/ardour2/ardour-2.8.12 was killed by signal 11 (SIGSEGV)
[abrt] ardour-2.8.12-4.fc17: connected: Process /usr/lib/ardour2/ardour-2.8.1...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ardour (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
abrt_hash:13763ab4f557b6e9ba46fca10e1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 17:47 EDT by John
Modified: 2013-08-01 02:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:07:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.61 KB, text/plain)
2012-06-23 17:48 EDT, John
no flags Details
File: backtrace (45.65 KB, text/plain)
2012-06-23 17:48 EDT, John
no flags Details
File: maps (38.98 KB, text/plain)
2012-06-23 17:48 EDT, John
no flags Details
File: dso_list (12.27 KB, text/plain)
2012-06-23 17:48 EDT, John
no flags Details

  None (edit)
Description John 2012-06-23 17:47:55 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib/ardour2/ardour-2.8.12
comment:        Was editing a file in Ardour. Changed to firefox to play a music video from youtube (HTML5 no flash installed). Swtiched back to Ardour and tried to play file. File would not play so selected close and when asked if I wanted to save changes and close I responded yes. Program crashed.
crash_function: connected
executable:     /usr/lib/ardour2/ardour-2.8.12
kernel:         3.4.2-4.fc17.i686
pid:            2450
pwd:            /home/jackson
time:           Sat 23 Jun 2012 04:31:47 PM CDT
uid:            1000
username:       jackson
xsession_errors: (ardour-2.8.12:2450): Gtk-WARNING **: EnableTranslation: missing action EnableTranslation

backtrace:      Text file, 46750 bytes
core_backtrace: Text file, 4721 bytes
dso_list:       Text file, 12568 bytes
maps:           Text file, 39919 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jackson/5

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=5
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=2450
:GPG_AGENT_INFO=/run/user/######/keyring-RDGYld/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/######/keyring-RDGYld
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=######
:LD_LIBRARY_PATH=/usr/lib/ardour2
:SSH_AUTH_SOCK=/run/user/######/keyring-RDGYld/ssh
:
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2070,unix/unix:/tmp/.ICE-unix/2070
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-ardour2.desktop
:MAIL=/var/spool/mail/######
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/######/.local/bin:/home/######/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/######
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=2068
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/######
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:DYLD_LIBRARY_PATH=/usr/lib/ardour2
:GTK_PATH=/usr/lib/ardour2
:LOGNAME=######
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-YQxBjEsNNt,guid=6071ab56c9499689025b7e8000000efb
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/######
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-######-1qvCDZ/database

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7891                 processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7891                 7891                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/jackson/.xsession-errors
:pos:	286371
:flags:	02002
:2:/home/jackson/.xsession-errors
:pos:	286371
:flags:	02002
:3:pipe:[133700]
:pos:	0
:flags:	04000
:4:pipe:[133700]
:pos:	0
:flags:	04001
:5:socket:[133703]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[133704]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:pipe:[133705]
:pos:	0
:flags:	00
:10:pipe:[133705]
:pos:	0
:flags:	01
:11:anon_inode:[timerfd]
:pos:	0
:flags:	04002
:12:socket:[133706]
:pos:	0
:flags:	02004002
:13:socket:[571993]
:pos:	0
:flags:	02
:14:pipe:[135275]
:pos:	0
:flags:	04000
:15:pipe:[611972]
:pos:	0
:flags:	04000
:16:pipe:[135275]
:pos:	0
:flags:	04001
:17:pipe:[135276]
:pos:	0
:flags:	04000
:18:pipe:[135276]
:pos:	0
:flags:	04001
:19:pipe:[611972]
:pos:	0
:flags:	04001
:20:pipe:[611973]
:pos:	0
:flags:	04000
:21:pipe:[611973]
:pos:	0
:flags:	04001
:22:/home/jackson/Test/interchange/Test/audiofiles/Sway - Level Up (Sigma Club Mix) [HD]-L.wav
:pos:	786488
:flags:	0100000
:23:socket:[135351]
:pos:	0
:flags:	02
:24:socket:[573318]
:pos:	0
:flags:	02
:25:/home/jackson/Test/interchange/Test/audiofiles/Sway - Level Up (Sigma Club Mix) [HD]-R.wav
:pos:	786488
:flags:	0100000
:26:/home/jackson/Test/interchange/Test/audiofiles/Sway _ Level Up _Sigma Club Mix_ _HD_-1%L.wav
:pos:	56
:flags:	0100002
:27:/home/jackson/Test/interchange/Test/audiofiles/Sway _ Level Up _Sigma Club Mix_ _HD_-1%R.wav
:pos:	56
:flags:	0100002
:28:socket:[612228]
:pos:	0
:flags:	02

smolt_data:
:
:
:General
:=================================
:UUID: 21db2e3e-8f14-4168-adbb-b50472460c63
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5585.68
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) 4 CPU 2.80GHz
:CPU Stepping: 9
:CPU Family: 15
:CPU Model Num: 2
:Number of CPUs: 2
:CPU Speed: 2800
:System Memory: 1003
:System Swap: 2047
:Vendor: Dell Computer Corporation
:System: Dimension XPS 
:Form factor: Mini Tower
:Kernel: 3.4.2-4.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4354:4:4354:4099) pci, snd_emu10k1, MULTIMEDIA_AUDIO, SB Audigy
:(4354:16385:4354:16) pci, firewire_ohci, FIREWIRE, SB Audigy FireWire Port
:(32902:9598:0:0) pci, None, BASE, 82875P/E7210 Processor to I/O Memory Interface
:(5348:16914:4136:1) pci, serial, SIMPLE, BCM4212 v.90 56k modem
:(32902:9427:4136:347) pci, i801_smbus, SERIAL, 82801EB/ER (ICH5/ICH5R) SMBus Controller
:(32902:9425:4136:347) pci, ata_piix, STORAGE, 82801EB (ICH5) SATA Controller
:(32902:9435:4136:347) pci, ata_piix, STORAGE, 82801EB/ER (ICH5/ICH5R) IDE Controller
:(32902:9424:0:0) pci, None, PCI/ISA, 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(4318:802:14402:41731) pci, nouveau, VIDEO, NV34 [GeForce FX 5200]
:(32902:9428:4136:347) pci, uhci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2
:(32902:9426:4136:347) pci, uhci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1
:(32902:9592:4136:347) pci, agpgart-intel, HOST/PCI, 82875P/E7210 Memory Controller Hub
:(32902:9431:4136:347) pci, uhci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3
:(32902:4176:4136:343) pci, e100, ETHERNET, 82562EZ 10/100 Ethernet Controller
:(32902:9438:4136:347) pci, uhci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4
:(32902:9437:4136:347) pci, ehci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller
:(32902:9593:0:0) pci, None, PCI/PCI, 82875P Processor to AGP Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 19515981 18289936 18094595 4890624 4764675 4764675
:/dev/sdb3 /home ext4 4096 4096 15121495 13492261 12734821 3792896 3789790 3789790
:/dev/sdb6 /var ext4 4096 4096 523152 372568 346361 131072 121212 121212
:/dev/sr1 WITHHELD iso9660 2048 2048 59111 0 0 0 0 0
:/dev/sr0 WITHHELD udf 2048 2048 2113154 0 0 17 0 0
:/dev/sdb2 WITHHELD fuseblk 4096 4096 13081599 9239674 9239674 37122536 37056388 37056388
:

var_log_messages:
:Jun 23 15:23:16 Nova1 yum[1582]: Installed: ardour-2.8.12-4.fc17.i686
:Jun 23 16:31:47 Nova1 kernel: [ 7260.037044] ardour-2.8.12[2450]: segfault at 44 ip b76831ee sp bfaab5d0 error 4 in libardour.so[b74f1000+2a1000]
:Jun 23 16:31:51 Nova1 abrt[3202]: Saved core dump of pid 2450 (/usr/lib/ardour2/ardour-2.8.12) to /var/spool/abrt/ccpp-2012-06-23-16:31:47-2450 (102031360 bytes)
Comment 1 John 2012-06-23 17:48:00 EDT
Created attachment 593948 [details]
File: core_backtrace
Comment 2 John 2012-06-23 17:48:02 EDT
Created attachment 593949 [details]
File: backtrace
Comment 3 John 2012-06-23 17:48:03 EDT
Created attachment 593950 [details]
File: maps
Comment 4 John 2012-06-23 17:48:05 EDT
Created attachment 593951 [details]
File: dso_list
Comment 5 Fedora End Of Life 2013-07-03 21:33:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 02:07:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.